Skip to main content
GET
Get the Qovery Operator bootstrap

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

organizationId
string<uuid>
required

Organization ID

clusterId
string<uuid>
required

Cluster ID

Response

Compiled Qovery Operator bootstrap

Sensitive bootstrap material used to install or manually upgrade the Qovery Operator on a self-managed cluster.

chart_repository
string
required
Example:

"oci://public.ecr.aws/r3m4q3r9/charts"

chart_name
string
required
Example:

"qovery-operator"

chart_version
string
required
Example:

"0.2.1"

chart_reference
string
required
Example:

"oci://public.ecr.aws/r3m4q3r9/charts/qovery-operator"

namespace
string
required
Example:

"qovery"

release_name
string
required
Example:

"qovery-operator"

values
object
required

Structured Helm values. This object can contain cluster credentials.

values_yaml
string
required

Ready-to-write Helm values file. This value can contain cluster credentials.

helm_command
string
required

Ready-to-run Helm upgrade/install command using values_yaml.

Example:

"helm upgrade --install qovery-operator oci://public.ecr.aws/r3m4q3r9/charts/qovery-operator --version 0.2.1 --namespace qovery --create-namespace --atomic --wait --timeout 15m -f values.yaml"